Page MenuHomePhabricator

Special:EnableFlow fails for an existing page
Closed, ResolvedPublic

Description

Regression from https://gerrit.wikimedia.org/r/#/c/308011/

When enabling Flow on a page that already exist, the existing page is moved to an archived and a template is added to it to specify that this is an archive and where the non-archive page can be found.

Now, the move seems to work but when we try to add the template we cannot find any revision at the expected location (e.g. Talk:User1/Archive_1)

See Flow/Import/Converter.php:281

Event Timeline

SBisson created this task.Sep 2 2016, 4:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 2 2016, 4:55 PM
aaron added a comment.Sep 2 2016, 5:26 PM

Is there a backtrace for this?

Here's a backtrace, if still relevant.

#0 /vagrant/mediawiki/extensions/Flow/includes/Import/Converter.php(188): Flow\Import\Converter->createArchiveCleanupRevision() 
#1 /vagrant/mediawiki/extensions/Flow/includes/Import/Converter.php(138): Flow\Import\Converter->doConversion() 
#2 /vagrant/mediawiki/extensions/Flow/includes/Specials/SpecialEnableFlow.php(117): Flow\Import\Converter->convert() 
#3 /vagrant/mediawiki/includes/htmlform/HTMLForm.php(653): Flow\Specials\SpecialEnableFlow->onSubmit() 
#4 /vagrant/mediawiki/includes/htmlform/HTMLForm.php(550): HTMLForm->trySubmit() 
#5 /vagrant/mediawiki/includes/htmlform/HTMLForm.php(565): HTMLForm->tryAuthorizedSubmit() 
#6 /vagrant/mediawiki/includes/specialpage/FormSpecialPage.php(154): HTMLForm->show() 
#7 /vagrant/mediawiki/extensions/Flow/includes/Specials/SpecialEnableFlow.php(46): FormSpecialPage->execute() 
#8 /vagrant/mediawiki/includes/specialpage/SpecialPage.php(522): Flow\Specials\SpecialEnableFlow->execute() 
#9 /vagrant/mediawiki/includes/specialpage/SpecialPageFactory.php(583): SpecialPage->run() 
#10 /vagrant/mediawiki/includes/MediaWiki.php(283): SpecialPageFactory::executePath() 
#11 /vagrant/mediawiki/includes/MediaWiki.php(750): MediaWiki->performRequest() 
#12 /vagrant/mediawiki/includes/MediaWiki.php(521): MediaWiki->main() 
#13 /vagrant/mediawiki/index.php(43): MediaWiki->run() 
#14 /var/www/w/index.php(5): include() 
#15 {main}

Change 308331 had a related patch set uploaded (by Aaron Schulz):
Make flushDeferredQueue() not try to commit the transaction round

https://gerrit.wikimedia.org/r/308331

SBisson assigned this task to aaron.Sep 6 2016, 2:52 PM
SBisson moved this task from Untriaged to QA Review on the Collab-Team-Q1-July-Sep-2016 board.

Change 308331 merged by jenkins-bot:
Make flushDeferredQueue() not try to commit the transaction round

https://gerrit.wikimedia.org/r/308331

aaron closed this task as Resolved.Sep 7 2016, 4:56 PM